Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 733062 - mail-client/thunderbird-78.x bump
Summary: mail-client/thunderbird-78.x bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 4 votes (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-17 12:17 UTC by Thomas Deutschmann
Modified: 2020-09-30 18:05 UTC (History)
15 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2020-07-17 12:17:57 UTC
Mozilla Thunderbird 78.0 is now available.

However, we don't plan to bump until 78.2 release because of known problems and upstream's advice not to upgrade yet.

Thunderbird 78.2 is scheduled for end of August 2020.
Comment 1 Bluey The Dog 2020-07-19 15:28:47 UTC
Forward planning? Current release is 68.10. Also would that be x.20, not x.2?
Comment 2 Thomas Deutschmann gentoo-dev Security 2020-07-19 16:00:58 UTC
We are waiting for thunderbird-78.2.x.
Comment 3 Eternal Sorrow 2020-07-23 14:48:43 UTC
Is it possible to add thunderbird 78 ebuild to the ~* keyword? Or even hardmasked maybe? Not everyone needs pgp encryption support.
Comment 4 devsk 2020-08-23 08:36:11 UTC
As we approach the end of Aug, what is the plan?
Comment 5 Sam James archtester gentoo-dev Security 2020-08-23 12:47:16 UTC
(In reply to devsk from comment #4)
> As we approach the end of Aug, what is the plan?

Note that we are entirely dependent on when Thunderbird upstream release it. The Gentoo Mozilla project is quite speedy at packaging when things are out.

(In reply to Eternal Sorrow from comment #3)
> Is it possible to add thunderbird 78 ebuild to the ~* keyword? Or even
> hardmasked maybe? Not everyone needs pgp encryption support.

I believe upstream disabled upgrades anyway, even for non-enigmail users.
Comment 6 Alec Ari 2020-08-25 22:34:51 UTC
Thunderbird 78.2 has been released! :D
Comment 7 Martin Cihlář 2020-08-26 08:18:42 UTC
(In reply to Alec Ari from comment #6)
> Thunderbird 78.2 has been released! :D

Still no OpenPGP support enabled by default or upgrade from 68 though...

https://www.thunderbird.net/en-US/thunderbird/78.2.0/releasenotes/
> Thunderbird version 78.2.0 is only offered as direct download from
> thunderbird.net and not as an upgrade from Thunderbird version 68 or earlier.
> A future release will provide updates from earlier versions.

[snip]

> At this time, users of the Enigmail Add-on should not update to Thunderbird 78.
> 
> Originally it was announced to enable OpenPGP by default in version 78.2.0. It
> has been decided to slightly postpone this for final changes and testing by
> volunteers.

This "slightly postpone[d]" hopefully just means "it'll be ready by 78.2.x", not "78.3 if you're lucky". Nevertheless it would probably be a better idea for Gentoo stable to stay on 68 until upgrading and OpenPGP are considered ready in 78; just my 2¢.
Comment 8 Alec Ari 2020-08-26 20:14:26 UTC
(In reply to Martin Cihlář from comment #7)
> This "slightly postpone[d]" hopefully just means "it'll be ready by 78.2.x",
> not "78.3 if you're lucky". Nevertheless it would probably be a better idea
> for Gentoo stable to stay on 68 until upgrading and OpenPGP are considered
> ready in 78; just my 2¢.

Not everyone uses enigmail, and running outdated releases of software, especially web browsers and mail clients are a security hazard. Adding an unstable keyword for Thunderbird 78 would allow for testing the new ebuild(s) until Thunderbird has OpenPGP enabled by default or any other features you're looking forward to.
Comment 9 Thomas Deutschmann gentoo-dev Security 2020-08-26 20:31:13 UTC
Once you upgraded profile to thunderbird-78 you can't downgrade anymore. I understand that we all want thunderbird-78 but the application hasn't reach GA quality yet -- even Mozilla is not yet pushing 78.x to its user.

Also, thunderbird-68 is not yet EOL. 68.12.0 will get released shortly...
Comment 10 Alec Ari 2020-08-26 23:43:46 UTC
Ah, I thought it was EOL. Scratch that.
Comment 11 Iade Gesso 2020-08-30 17:38:59 UTC
Hi,
I provided the 78.x.x. brach in my custom overlay: https://github.com/iadegesso/howl-gentoo-overlay/

Iade
Comment 12 David Heidelberg (okias) 2020-08-31 09:13:10 UTC
I noticed there is 78.2.1 released, but also it has some minor bugs regarding to GPG.

@Whissi are you planning to release 78.2.1, 78.2.1+patches or rather wait for 78.2.2?
Comment 13 Martin Cihlář 2020-08-31 11:14:32 UTC
(In reply to Alec Ari from comment #8)
> (In reply to Martin Cihlář from comment #7)
> > This "slightly postpone[d]" hopefully just means "it'll be ready by 78.2.x",
> > not "78.3 if you're lucky". Nevertheless it would probably be a better idea
> > for Gentoo stable to stay on 68 until upgrading and OpenPGP are considered
> > ready in 78; just my 2¢.
> 
> Not everyone uses enigmail, and running outdated releases of software,
> especially web browsers and mail clients are a security hazard. Adding an
> unstable keyword for Thunderbird 78 would allow for testing the new
> ebuild(s) until Thunderbird has OpenPGP enabled by default or any other
> features you're looking forward to.

Adding onto Thomas Deutschmann's comment #9, it's not just about OpenPGP; if upstream doesn't consider 78 stable enough to push out to existing users, why should Gentoo? Although 78.2.1 is out with OpenPGP enabled by default, it's still not being pushed out to 68 users, which I believe should be the main indicator.

(In reply to David Heidelberg (okias) from comment #12)
> I noticed there is 78.2.1 released, but also it has some minor bugs
> regarding to GPG.
> 
> @Whissi are you planning to release 78.2.1, 78.2.1+patches or rather wait
> for 78.2.2?

Second that. Also, is moving to TB 78 going to coincide with FF or are the bumps going to be separate?
Comment 14 Alec Ari 2020-08-31 23:02:47 UTC
(In reply to Martin Cihlář from comment #13)
> (In reply to Alec Ari from comment #8)
> > (In reply to Martin Cihlář from comment #7)
> > > This "slightly postpone[d]" hopefully just means "it'll be ready by 78.2.x",
> > > not "78.3 if you're lucky". Nevertheless it would probably be a better idea
> > > for Gentoo stable to stay on 68 until upgrading and OpenPGP are considered
> > > ready in 78; just my 2¢.
> > 
> > Not everyone uses enigmail, and running outdated releases of software,
> > especially web browsers and mail clients are a security hazard. Adding an
> > unstable keyword for Thunderbird 78 would allow for testing the new
> > ebuild(s) until Thunderbird has OpenPGP enabled by default or any other
> > features you're looking forward to.
> 
> Adding onto Thomas Deutschmann's comment #9, it's not just about OpenPGP; if
> upstream doesn't consider 78 stable enough to push out to existing users,
> why should Gentoo? Although 78.2.1 is out with OpenPGP enabled by default,
> it's still not being pushed out to 68 users, which I believe should be the
> main indicator.

I missed the memo, where is Mozilla actually saying to not upgrade?

"At this time, users of the Enigmail Add-on should not update to Thunderbird 78." If you're referring to that, that comment only pertains to users of Enigmail.
Comment 15 Thomas Deutschmann gentoo-dev Security 2020-08-31 23:22:04 UTC
(In reply to Alec Ari from comment #14)
> I missed the memo, where is Mozilla actually saying to not upgrade?

They are doing that since 78.x release. From current release notes (https://www.thunderbird.net/en-US/thunderbird/78.2.1/releasenotes/),

> Thunderbird version 78.2.1 is only offered as direct download from
> thunderbird.net and not as an upgrade from Thunderbird version 68
> or earlier. A future release will provide updates from earlier versions.

That's even true for Firefox ESR users: Mozilla isn't pushing new 78 ESR version to 68 ESR users yet...

Anyway, 78.x will land this month in Gentoo with new eclasses.
Comment 16 devsk 2020-09-01 17:18:17 UTC
> Thunderbird version 78.2.1 is only offered as direct download from
> thunderbird.net and not as an upgrade from Thunderbird version 68
> or earlier. A future release will provide updates from earlier versions.

This only means that they are not offering upgrade from within the app for existing users (on Windows/Mac where the upgrade from within the app actually works, not applicable to Gentoo).

It does not mean that you can not go from 68.x to 78.x.

Yes, 78.x will create a new profile like firefox did but that can easily be taken care of using profile manager.
Comment 17 Thomas Deutschmann gentoo-dev Security 2020-09-01 18:41:23 UTC
Nobody that said you *cannot*. We only said that Mozilla itself does not consider 78.x as ready yet to push out to existing user base because once you upgraded you cannot go back and they expect that some people want to downgrade afterwards because 78.x hasn't met quality level yet people from previous ESR are expecting.
Comment 18 Alec Ari 2020-09-01 19:41:25 UTC
(In reply to Thomas Deutschmann from comment #15)
> (In reply to Alec Ari from comment #14)
> > I missed the memo, where is Mozilla actually saying to not upgrade?
> 
> They are doing that since 78.x release. From current release notes
> (https://www.thunderbird.net/en-US/thunderbird/78.2.1/releasenotes/),
> 
> > Thunderbird version 78.2.1 is only offered as direct download from
> > thunderbird.net and not as an upgrade from Thunderbird version 68
> > or earlier. A future release will provide updates from earlier versions.

I don't read that at all as a statement about stability or maturity. Technically, it's not an alpha/beta/pre-release so I wouldn't take that statement as, "use at your own risk." So, it's not an upgrade, k den, ELI5; why did the version number go up?

I guess I see your point but I wouldn't go about trying to deliver the message this way, it's not clear.
Comment 19 Sam James archtester gentoo-dev Security 2020-09-01 19:43:33 UTC
(In reply to Alec Ari from comment #18)
> I don't read that at all as a statement about stability or maturity.
> Technically, it's not an alpha/beta/pre-release so I wouldn't take that
> statement as, "use at your own risk." So, it's not an upgrade, k den, ELI5;
> why did the version number go up?
> 
> I guess I see your point but I wouldn't go about trying to deliver the
> message this way, it's not clear.

There is limited manpower. Mozilla are not yet providing this as an upgrade, only for fresh installs, so we take this as a sign to be cautious. A lot changed in the new release.

Point is, it is not out of stubbornness, but caution.
Comment 20 Alexandre Sanches 2020-09-13 07:28:53 UTC
The official site (https://www.thunderbird.net/en-US/thunderbird/78.2.2/releasenotes/) says:
"Version 78.2.2, first offered to channel users on September 10, 2020"

"Channel users" means: Mozilla is now providing TB 78.2.2 as an update for everyone.

Being a user of this new version (official binary version, from the official website), I'd say we should be cautious with it, as much as before, during the update, especially concerning our PGP keys. In fact I have not been able to update automatically. I had to make it manually and to use GnuPG... but finally it works. The same (but much simpler and of course safer) for my calendars and address books. Redoing the configuration is simple enough, so I consider it acceptable for a ~arch. Gentoo users are Gentoo users, Gentoo is not Ubuntu or Windows. I'd probably not mark this version as stable for everyone.

What does not work is translations when I try to build with the 76 RC ebuild I found in the Gentoo Git and hacked a bit. Having tested it, changing languages on a locally built version, or even on the official build is problematic. From the official French build or from my local English build, I can only download and activate one other language (Catalan), and not even English. Maybe the Fluent migration...? Anyway that's another reason not to mark it as stable. Certainly not to delay ~arch any longer.
Comment 21 Thomas Deutschmann gentoo-dev Security 2020-09-13 11:38:27 UTC
> "Channel users" means: Mozilla is now providing TB 78.2.2 as an update for everyone.

This is wrong. Please don't stop reading after the first sentences, read everything:

> Thunderbird version 78.2.2 is *only offered as direct download* from
> thunderbird.net and *not as an upgrade from Thunderbird version 68 or earlier*.
> A future release will provide updates from earlier versions. Automatic updates
> are available for users already running version 78.0 or higher.
Comment 22 Martin Cihlář 2020-09-17 12:14:24 UTC
(In reply to Thomas Deutschmann from comment #21)
> > "Channel users" means: Mozilla is now providing TB 78.2.2 as an update for everyone.
> 
> This is wrong. Please don't stop reading after the first sentences, read
> everything:
> 
> > Thunderbird version 78.2.2 is *only offered as direct download* from
> > thunderbird.net and *not as an upgrade from Thunderbird version 68 or earlier*.
> > A future release will provide updates from earlier versions. Automatic updates
> > are available for users already running version 78.0 or higher.

Seems to have been a temporary thing... As soon as I saw your message, I went to see for myself and, sure enough, the notice about not offering the upgrade to users of earlier versions was there. I checked again just now and the notice is gone.
Comment 23 George L. Emigh 2020-09-25 22:22:56 UTC
In case it matters, Thunderbird 73.3 is out.
https://www.thunderbird.net/en-US/thunderbird/78.3.0/releasenotes/
Comment 24 Alec Ari 2020-09-26 17:14:23 UTC
As a native English speaker, the way Mozilla writes and implies information is confusing to me.
Comment 25 Larry the Git Cow gentoo-dev 2020-09-30 18:05:42 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a6f96f350b74a65923ca6239879a5f96e100ef69

commit a6f96f350b74a65923ca6239879a5f96e100ef69
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2020-09-30 16:53:56 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-09-30 18:03:51 +0000

    mail-client/thunderbird: bump to v78.3.1
    
    Closes: https://bugs.gentoo.org/698986
    Closes: https://bugs.gentoo.org/733062
    Bug: https://bugs.gentoo.org/745432
    Package-Manager: Portage-3.0.8, Repoman-3.0.1
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 mail-client/thunderbird/Manifest                   |  66 ++
 .../thunderbird/files/gentoo-default-prefs.js      |   7 +
 .../thunderbird/files/icon/thunderbird-r2.desktop  |  30 +
 .../thunderbird/files/thunderbird-wayland.sh       |   7 +
 mail-client/thunderbird/files/thunderbird-x11.sh   |   7 +
 mail-client/thunderbird/files/thunderbird.sh       | 128 +++
 mail-client/thunderbird/metadata.xml               |   2 +
 mail-client/thunderbird/thunderbird-78.3.1.ebuild  | 990 +++++++++++++++++++++
 8 files changed, 1237 insertions(+)